package de.intevation.flys.importer.parsers;

import java.io.File;
import java.util.List;
import java.util.Map;
import de.intevation.flys.importer.ImportCrossSectionLine;
import de.intevation.flys.importer.XY;

public interface CrossSectionParser {

    public String getDescription();

    public Integer getYear();

    public Map<Double,List<XY>> getData();

    public interface Callback {
        boolean accept(File file);
        void    parsed(CrossSectionParser parser);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
